#!/bin/sh -ex

podman build -f - -t make_install_disk_image_dist <<EOF
FROM docker.io/arm32v7/alpine

RUN apk add --no-cache tar i2c-tools e2fsprogs

# skip any init, run install script directly
# ld-linux-armhf symlink is required for board-update binaries
# that were compiled with uClibc; binary compatiblity is not guaranteed
# but this appears to work
RUN ln -sf /images/install.sh /sbin/init \
	&& ln -s ld-musl-armhf.so.1 /lib/ld-linux-armhf.so.3
EOF

podman run --name make_install_disk_image_dist make_install_disk_image_dist true
podman export make_install_disk_image_dist | gzip > dist.tar.gz
podman rm make_install_disk_image_dist
